Loading...
Searching...
No Matches
reader_utils.h File Reference

This file includes common file reader for GUDHI. More...

Go to the source code of this file.

## Namespaces

namespace | Gudhi
| Gudhi namespace.

## Functions

void | Gudhi::read_points (std::string file_name, std::vector< std::vector< double > > &points)
| Read a set of points to turn it into a vector< vector<double> > by filling points.
template<typename Graph_t, typename Filtration_value, typename Vertex_handle>
Graph_t | Gudhi::read_graph (std::string file_name)
| Read a graph from a file.
template<typename Vertex_handle, typename Filtration_value>
bool | Gudhi::read_simplex (std::istream &in_, std::vector< Vertex_handle > &simplex, Filtration_value &fil)
| Read a face from a file.
template<typename Simplex_key, typename Filtration_value>
bool | Gudhi::read_hasse_simplex (std::istream &in_, std::vector< Simplex_key > &boundary, Filtration_value &fil)
| Read a hasse simplex from a file.
template<typename Filtration_value>
std::vector< std::vector< Filtration_value > > | Gudhi::read_lower_triangular_matrix_from_csv_file (const std::string &filename, const char separator=';')
| Read a lower triangular distance matrix from a csv file. We assume that the .csv store the whole (square) matrix.
template<typename OutputIterator>
void | Gudhi::read_persistence_intervals_and_dimension (std::string const &filename, OutputIterator out)
std::map< int, std::vector< std::pair< double, double > > > | Gudhi::read_persistence_intervals_grouped_by_dimension (std::string const &filename)
std::vector< std::pair< double, double > > | Gudhi::read_persistence_intervals_in_dimension (std::string const &filename, int only_this_dim=-1)

## Detailed Description

This file includes common file reader for GUDHI.